SystemOrganization addCategory: #'Pier-Scriptaculous'!

PRTreeWidget subclass: #PRTreeSUWidget
	instanceVariableNames: 'cssId'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Pier-Scriptaculous'!

!PRTreeSUWidget class methodsFor: 'as yet unclassified' stamp: 'kph 11/9/2007 04:55'!
label
	^ 'TreeSU'! !

!PRTreeSUWidget methodsFor: 'as yet unclassified' stamp: 'kph 11/9/2007 04:38'!
cssId

	^ cssId! !

!PRTreeSUWidget methodsFor: 'as yet unclassified' stamp: 'kph 11/9/2007 04:38'!
renderContentOn: html
	html div 
		id: (cssId := html nextId);
		with: [ self updateContentOn: html ]! !

!PRTreeSUWidget methodsFor: 'as yet unclassified' stamp: 'kph 11/9/2007 04:43'!
renderStructureButton: aStructure on: html
	| isExpanded |
	html span class: 'button'; with: [
		(self childrenOf: aStructure) isEmpty
			ifTrue: [ html space ]
			ifFalse: [
				isExpanded := self isExpanded: aStructure.
				html anchor
					onClick: (html updater
								id: (self cssId);
								callback: [ :r |
									isExpanded
										ifTrue: [ self collapseStructure: aStructure ]
										ifFalse: [ self expandStructure: aStructure ].
									self updateContentOn: r ]	
							);
					with: (isExpanded
						ifTrue: [ '-' ]
						ifFalse: [ '+' ]) ] ]! !

!PRTreeSUWidget methodsFor: 'as yet unclassified' stamp: 'kph 11/9/2007 04:35'!
updateContentOn: html
	html unorderedList: [ self renderStructure: self context root on: html ]! !
